Bug 1023239 (CVE-2013-4463)

Summary: CVE-2013-4463 OpenStack Nova: Compressed disk image DoS
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aortega, apevec, ayoung, chrisw, gkotton, gmollett, iheim, kseifried, lhh, markmc, ndipanov, rbryant, sclewis, security-response-team, yeylon
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131031,reported=20131024,source=upstream,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:N/A:P,fedora-all/openstack-nova=affected,epel-6/openstack-nova=affected,openstack-3/openstack-nova=affected,openstack-4/openstack-nova=affected,openstack-rdo/openstack-nova=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-15 03:14:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1035143, 1035877, 1035889    
Bug Blocks: 1023240    
Attachments:
Description Flags
CVE-2013-4463-folsom.patch
none
CVE-2013-4463-grizzly.patch
none
CVE-2013-4463-havana.patch none

Description Kurt Seifried 2013-10-24 21:07:46 EDT
Thierry Carrez of the OpenStack project reports:

Title: Potential Nova denial of service through compressed disk images
Reporter: Bernhard M. Wiedemann (SUSE)
Products: Nova
Affects: All versions

Description:
Bernhard M. Wiedemann from SUSE reported a vulnerability in Nova's
control of the size of disk images. By using malicious compressed qcow2
disk images, an authenticated user may consume large amounts of disk
space for each image, potentially resulting in a Denial of Service
attack on Nova compute nodes. This issue has been given the identifier 
CVE-2013-4463.

Additionally while fixing this issue, Pedraig Brady from Red Hat additionally discovered that OSSA 2013-012 did not fully address CVE-2013-2096 in the non-default case where use_cow_images=False, and malicious qcow images are being transferred from Glance. In that specific case, an authenticated user could still consume large amounts of disk space for each instance using the malicious image, potentially also resulting in a Denial of Service attack on Nova compute nodes. The provided fixes address both issues. This issue was given the identifier CVE-2013-4469, please see bug 1023581 for additional information
Comment 2 Kurt Seifried 2013-10-25 15:10:25 EDT
Acknowledgements: 

Red Hat would like to thank Thierry Carrez of the OpenStack project for reporting this issue. Upstream acknowledges Bernhard M. Wiedemann of SuSE as the original reporter.
Comment 3 Kurt Seifried 2013-10-25 15:52:12 EDT
This has been CVE SPLIT, the second issue found by Pedraig Brady is now covered in Bz1023581 (CVE-2013-4469)
Comment 4 Kurt Seifried 2013-10-25 16:01:16 EDT
Created attachment 816275 [details]
CVE-2013-4463-folsom.patch
Comment 5 Kurt Seifried 2013-10-25 16:02:43 EDT
Created attachment 816276 [details]
CVE-2013-4463-grizzly.patch
Comment 6 Kurt Seifried 2013-10-25 16:03:09 EDT
Created attachment 816277 [details]
CVE-2013-4463-havana.patch
Comment 7 Kurt Seifried 2013-11-27 02:23:12 EST
Statement:

The Red Hat Security Response Team has rated this issue as having moderate security impact. For  additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 10 Kurt Seifried 2013-11-28 12:40:33 EST
Added tracking bugs
Comment 13 Fedora Update System 2013-12-11 21:57:10 EST
openstack-nova-2013.1.4-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-12-13 22:44:22 EST
openstack-nova-2013.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 errata-xmlrpc 2014-01-30 14:59:55 EST
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2014:0112 https://rhn.redhat.com/errata/RHSA-2014-0112.html